<?php
/**
 * @version     1.0.0
 * @package     com_resonlinebooking
 * @copyright   Copyright (C) 2014. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      binhk32xp <binhk32xp@gmail.com> - http://eku.com
 */
// no direct access
defined('_JEXEC') or die;

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_resonlinebooking/assets/css/resonlinebooking.css');
?>
<script type="text/javascript">
    function getScript(url,success) {
        var script = document.createElement('script');
        script.src = url;
        var head = document.getElementsByTagName('head')[0],
        done = false;
        // Attach handlers for all browsers
        script.onload = script.onreadystatechange = function() {
            if (!done && (!this.readyState
                || this.readyState == 'loaded'
                || this.readyState == 'complete')) {
                done = true;
                success();
                script.onload = script.onreadystatechange = null;
                head.removeChild(script);
            }
        };
        head.appendChild(script);
    }
    getScript('//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js',function() {
        js = jQuery.noConflict();
        js(document).ready(function(){
            

            Joomla.submitbutton = function(task)
            {
                if (task == 'bookingedit.cancel') {
                    Joomla.submitform(task, document.getElementById('bookingedit-form'));
                }
                else{
                    
                    if (task != 'bookingedit.cancel' && document.formvalidator.isValid(document.id('bookingedit-form'))) {
                        
                        Joomla.submitform(task, document.getElementById('bookingedit-form'));
                    }
                    else {
                        alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED')); ?>');
                    }
                }
            }
        });
    });
</script>

<form action="<?php echo JRoute::_('index.php?option=com_resonlinebooking&layout=edit&id=' . (int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="bookingedit-form" class="form-validate">
    <div class="width-60 fltlft booking-form">
        <fieldset class="adminform">
            <legend><?php echo JText::_('COM_RESONLINEBOOKING_LEGEND_BOOKINGEDIT'); ?></legend>
			<ul class="adminformlist">
				<li><?php echo $this->form->getLabel('id'); ?>
				<?php echo $this->form->getInput('id'); ?></li>
				<li><?php echo $this->form->getLabel('bookingName'); ?>
				<?php echo $this->form->getInput('bookingName'); ?></li>
			</ul>
			<div class="clear"></div>
			<h2>Basic Options</h2>
			<hr />
            <ul class="adminformlist">
				<li><?php echo $this->form->getLabel('hotelId'); ?>
				<?php echo $this->form->getInput('hotelId'); ?></li>
				<li><?php echo $this->form->getLabel('defaultAdults'); ?>
				<?php echo $this->form->getInput('defaultAdults'); ?></li>
				<li><?php echo $this->form->getLabel('defaultNights'); ?>
				<?php echo $this->form->getInput('defaultNights'); ?></li>
				<li><?php echo $this->form->getLabel('autoTickedNights'); ?>
				<?php echo $this->form->getInput('autoTickedNights'); ?></li>
			</ul>
			<ul class="adminformlist">
				<li><?php echo $this->form->getLabel('primaryColor'); ?>
				<?php echo $this->form->getInput('primaryColor'); ?></li>
				<li><?php echo $this->form->getLabel('defaultChildren'); ?>
				<?php echo $this->form->getInput('defaultChildren'); ?></li>
				<li><?php echo $this->form->getLabel('specialsOnly'); ?>
				<?php echo $this->form->getInput('specialsOnly'); ?></li>
			</ul>
			<ul class="adminformlist">
				<li><?php echo $this->form->getLabel('secondaryColor'); ?>
				<?php echo $this->form->getInput('secondaryColor'); ?></li>
				<li><?php echo $this->form->getLabel('defaultGridColumns'); ?>
				<?php echo $this->form->getInput('defaultGridColumns'); ?></li>
				<li><?php echo $this->form->getLabel('promoteSpecials'); ?>
				<?php echo $this->form->getInput('promoteSpecials'); ?></li>
			</ul>
			<div class="clear"></div>
			<h2>Advanced Options</h2>
			<hr />
			<ul class="adminformlist">
				<li><?php echo $this->form->getLabel('maxChildren'); ?>
				<?php echo $this->form->getInput('maxChildren'); ?></li>
				<li><?php echo $this->form->getLabel('minNights'); ?>
				<?php echo $this->form->getInput('minNights'); ?></li>
				<li><?php echo $this->form->getLabel('multiPropsInfoLink'); ?>
				<?php echo $this->form->getInput('multiPropsInfoLink'); ?></li>
				<li><?php echo $this->form->getLabel('privateApartment'); ?>
				<?php echo $this->form->getInput('privateApartment'); ?></li>
				<li><?php echo $this->form->getLabel('separateGrid'); ?>
				<?php echo $this->form->getInput('separateGrid'); ?></li>
				<li><?php echo $this->form->getLabel('showImage'); ?>
				<?php echo $this->form->getInput('showImage'); ?></li>
				<li><?php echo $this->form->getLabel('showRoomTypeDetails'); ?>
				<?php echo $this->form->getInput('showRoomTypeDetails'); ?></li>
			</ul>
			<ul class="adminformlist">		
				<li><?php echo $this->form->getLabel('defaultCurrency'); ?>
				<?php echo $this->form->getInput('defaultCurrency'); ?></li>
				<li><?php echo $this->form->getLabel('maxImages'); ?>
				<?php echo $this->form->getInput('maxImages'); ?></li>
				<li><?php echo $this->form->getLabel('minNightsFilter'); ?>
				<?php echo $this->form->getInput('minNightsFilter'); ?></li>
				<li><?php echo $this->form->getLabel('multiPropsOneGrid'); ?>
				<?php echo $this->form->getInput('multiPropsOneGrid'); ?></li>
				<li><?php echo $this->form->getLabel('ratePlanFilter'); ?>
				<?php echo $this->form->getInput('ratePlanFilter'); ?></li>
				<li><?php echo $this->form->getLabel('showCurrency'); ?>
				<?php echo $this->form->getInput('showCurrency'); ?></li>
				<li><?php echo $this->form->getLabel('showInclusions'); ?>
				<?php echo $this->form->getInput('showInclusions'); ?></li>
				<li><?php echo $this->form->getLabel('useAnalytics'); ?>
				<?php echo $this->form->getInput('useAnalytics'); ?></li>
			</ul>
			<ul class="adminformlist">	
				<li><?php echo $this->form->getLabel('maxAdults'); ?>
				<?php echo $this->form->getInput('maxAdults'); ?></li>				
				<li><?php echo $this->form->getLabel('maxNights'); ?>
				<?php echo $this->form->getInput('maxNights'); ?></li>
				<li><?php echo $this->form->getLabel('multiPropsExpanded'); ?>
				<?php echo $this->form->getInput('multiPropsExpanded'); ?></li>
				<li><?php echo $this->form->getLabel('newWindow'); ?>
				<?php echo $this->form->getInput('newWindow'); ?></li>
				<li><?php echo $this->form->getLabel('specificRatePlan'); ?>
				<?php echo $this->form->getInput('specificRatePlan'); ?></li>
				<li><?php echo $this->form->getLabel('showGrid'); ?>
				<?php echo $this->form->getInput('showGrid'); ?></li>
				<li><?php echo $this->form->getLabel('showPropertyDetails'); ?>
				<?php echo $this->form->getInput('showPropertyDetails'); ?></li>
				<li><?php echo $this->form->getLabel('webID'); ?>
				<?php echo $this->form->getInput('webID'); ?></li>
			</ul>
			<ul style="display:none">
				<li><?php echo $this->form->getLabel('bookingbuttonmode'); ?>
				<?php echo $this->form->getInput('bookingButtonMode'); ?></li>
				<li><?php echo $this->form->getLabel('dayoffset'); ?>
				<?php echo $this->form->getInput('dayOffset'); ?></li>
				<li><?php echo $this->form->getLabel('defaultdate'); ?>
				<?php echo $this->form->getInput('defaultDate'); ?></li>
				<li><?php echo $this->form->getLabel('defaultdaysout'); ?>
				<?php echo $this->form->getInput('defaultDaysOut'); ?></li>
				<li><?php echo $this->form->getLabel('errorurl'); ?>
				<?php echo $this->form->getInput('errorUrl'); ?></li>
				<li><?php echo $this->form->getLabel('gridlabel'); ?>
				<?php echo $this->form->getInput('gridLabel'); ?></li>
				<li><?php echo $this->form->getLabel('insitecheck'); ?>
				<?php echo $this->form->getInput('inSiteCheck'); ?></li>
				<li><?php echo $this->form->getLabel('layout'); ?>
				<?php echo $this->form->getInput('layout'); ?></li>	
				
            </ul>
        </fieldset>
    </div>

    

    <input type="hidden" name="task" value="" />
    <?php echo JHtml::_('form.token'); ?>
    <div class="clr"></div>

    <style type="text/css">
        /* Temporary fix for drifting editor fields */
        .adminformlist li {
            clear: both;
        }
    </style>
</form>